@ECHO OFF

echo ---------------------------------------------
echo   Welcome to TREETISTIC, build 9th February 2012
echo ---------------------------------------------

echo These are the trees that we will work with:

more < %1

echo ---------------------------------------------

echo First we will convert the trees to a set of clusters...

java -jar NewickToClusters.jar < %1 > %1.clus

echo done.

echo Now we will convert the trees to a set of triplets...

java -jar NewickToTriplet.jar --noweight < %1 > %1.trip

echo done.

echo Running main TREETISTIC algorithm...will also write the output networks to the file %1.net

java Treetistic %1 %2

echo Done

echo The network(s) can be viewed by running the following command (under UNIX):
echo dot -Tps %1.net -o %1.net.ps
